org.apache.ode.karaf.commands

## Class OdeRecoverActivityCommand

- java.lang.Object
- - org.apache.karaf.shell.console.AbstractAction
  - - org.apache.karaf.shell.console.OsgiCommandSupport
    - - org.apache.ode.karaf.commands.OdeCommandsBase
      - - org.apache.ode.karaf.commands.OdeRecoverActivityCommand

- All Implemented Interfaces:
    org.apache.felix.gogo.commands.Action, org.apache.karaf.shell.console.BundleContextAware

      public class OdeRecoverActivityCommand
      extends OdeCommandsBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.karaf.commands.OdeCommandsBase

      `COMPONENT_NAME, LIST_ALL_INSTANCES, LIST_ALL_PROCESSES, LIST_INSTANCES, RECOVER_ACTIVITY, RESUME, SUSPEND, TERMINATE`

    - ### Fields inherited from class org.apache.karaf.shell.console.OsgiCommandSupport

      `bundleContext, usedReferences`

    - ### Fields inherited from class org.apache.karaf.shell.console.AbstractAction

      `log, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeRecoverActivityCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `doExecute()`

    - ### Methods inherited from class org.apache.ode.karaf.commands.OdeCommandsBase

      `getActiveInstances, getAllInstances, getFilteredInstances, getMBeanServer, getProcesses, getSuspendedInstances, invoke, recoverActivity, resume, suspend, terminate`

    - ### Methods inherited from class org.apache.karaf.shell.console.OsgiCommandSupport

      `execute, getAllServices, getBundleContext, getService, setBundleContext, ungetServices`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OdeRecoverActivityCommand

          public OdeRecoverActivityCommand()

  - ### Method Detail

    - #### doExecute

          protected java.lang.Object doExecute()
                                        throws java.lang.Exception

      Specified by:
        `doExecute` in class `org.apache.karaf.shell.console.AbstractAction`
      Throws:
        `java.lang.Exception`